# $Id$
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios integration
%define name smeserver-nagios
Name: %{name}
%define version 2.0.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.3
Requires: nagios >= 3
Requires: pnp4nagios >= 0.4.10
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1.sme
  removed scripts frpm spec file
  placed all nagios config file in directories

* Sun Nov 16 2008 Michael Weinberger <mweinber@neddix.de>
  AddType application/x-httpd-php .php for PNP
  pre-configured nagios.cfg-smeserver
* Wed Nov 14 2007 Michael Weinberger <mweinber@neddix.de>
 fixed usermod in /etc/rc.d/init.d/nagios-sme
* Thu Oct 1 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Nagios integration

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
--file /etc/nagios/nagios.cfg-smeserver 'attr(644,nagios,nagios)' \
--dir /etc/nagios 'attr(755,nagios,nagios)' \
--dir /etc/nagios/contacts 'attr(755,nagios,nagios)' \
--dir /etc/nagios/hosts 'attr(755,nagios,nagios)' \
--dir /etc/nagios/services 'attr(755,nagios,nagios)' \
--dir /etc/nagios/commands 'attr(755,nagios,nagios)' \
--dir /etc/nagios/pnp 'attr(755,nagios,nagios)' \
--dir /etc/nagios/servicegroups 'attr(755,nagios,nagios)' \
--dir /etc/nagios/hostgroups 'attr(755,nagios,nagios)' \
--dir /etc/nagios/templates 'attr(755,nagios,nagios)' \
--dir /etc/nagios/timeperiods 'attr(755,nagios,nagios)' \
 >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
